## python-pyfunceble 4.2.25.dev

=== requirements.txt ===
alembic
colorama
cryptography~=42.0
dnspython[DOH]~=2.6.0
domain2idna~=1.12.0
inflection
packaging
PyMySQL
python-box[all]~=6.0.0
python-dotenv
PyYAML
requests[socks]<3
setuptools>=65.5.1
shtab
SQLAlchemy~=2.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PyFunceble
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pyfunceble (4.2.25.dev-1) unstable; urgency=medium

  * Initial release. (Closes: #1024533)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 16 Jul 2024 15:00:58 -0300

=== debian/control ===
Source: python-pyfunceble
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python-requests-doc <!nodoc>,
               python3-alembic,
               python3-all,
               python3-box,
               python3-colorama,
               python3-coverage <!nocheck>,
               python3-cryptography,
               python3-dnspython,
               python3-doc <!nodoc>,
               python3-domain2idna,
               python3-dotenv,
               python3-inflection,
               python3-packaging,
               python3-pygments <!nodoc>,
               python3-pymysql,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-setuptools,
               python3-shtab,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sqlalchemy,
               python3-urllib3 <!nodoc>,
               python3-yaml,
Standards-Version: 4.7.0
Homepage: https://github.com/funilrys/PyFunceble
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfunceble
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfunceble.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyfunceble
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python-pyfunceble-doc,
Description: Check availability of domains, IPs or URLs
 tool written in Python that was developed with the objective of verifying
 the availability of domains and IP addresses on the Internet. The main
 purpose of PyFunceble is to perform DNS resolution and connection tests
 to determine if a domain is up and reachable or down and unavailable.
 .
 PyFunceble's main features include:
   - Domain Availability Check: PyFunceble can determine if a domain is
     up and responding to requests.
   - Network Connection Test: The tool checks connectivity to a specific
     domain or IP address.
   - DNS resolution test: PyFunceble can check if DNS is able to convert
     the domain name to an IP address.
   - Domain list analysis: It is possible to provide a list of domains to
     PyFunceble, which will check the availability of each of them and
     generate detailed reports.
   - Behavior customization: The tool offers several options to customize
     its behavior, allowing you to define timeouts for connections, choose
     DNS servers to test, among other settings.
   - Reports: PyFunceble generates detailed reports in different formats
     (e.g. JSON, CSV, etc.), providing information about domain availability
     and test results.
   - Integration with CI/CD: PyFunceble is useful for integration into
     continuous integration and continuous delivery (CI/CD) pipelines,
     allowing you to check the availability of domains in automated scenarios.

Package: python-pyfunceble-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python-requests-doc,
            python3-doc,
Description: Check availability of domains, IPs or URLs (common documentation)
 tool written in Python that was developed with the objective of verifying
 the availability of domains and IP addresses on the Internet. The main
 purpose of PyFunceble is to perform DNS resolution and connection tests
 to determine if a domain is up and reachable or down and unavailable.
 .
 PyFunceble's main features include:
   - Domain Availability Check: PyFunceble can determine if a domain is
     up and responding to requests.
   - Network Connection Test: The tool checks connectivity to a specific
     domain or IP address.
   - DNS resolution test: PyFunceble can check if DNS is able to convert
     the domain name to an IP address.
   - Domain list analysis: It is possible to provide a list of domains to
     PyFunceble, which will check the availability of each of them and
     generate detailed reports.
   - Behavior customization: The tool offers several options to customize
     its behavior, allowing you to define timeouts for connections, choose
     DNS servers to test, among other settings.
   - Reports: PyFunceble generates detailed reports in different formats
     (e.g. JSON, CSV, etc.), providing information about domain availability
     and test results.
   - Integration with CI/CD: PyFunceble is useful for integration into
     continuous integration and continuous delivery (CI/CD) pipelines,
     allowing you to check the availability of domains in automated scenarios.
 .
 This package installs the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=pyfunceble
PACKAGE = python3-pyfunceble

# Tests disabled due to trying to connect to an external network
export PYBUILD_DISABLE=test

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# sphinx documentation
execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  docs/ debian/python-pyfunceble-doc/usr/share/doc/pyfunceble-doc/html

# fixed lintian extra-license-file warning
execute_after_dh_sphinxdoc:
	find debian/python-pyfunceble-doc/ -name 'license.rst.txt' -delete

# Upstream informs that such tools are intended for developers only. Unnecessary for user use.
# https://github.com/funilrys/PyFunceble/commit/3a61b8424bafa17b1879e94e90ae3e0ad972be41
execute_after_dh_auto_install:
	rm -f debian/$(PACKAGE)/usr/bin/PyFunceble
	rm -f debian/$(PACKAGE)/usr/bin/clean-pyfunceble

override_dh_installexamples:
	dh_installexamples examples/api_usage examples/lists

## python-pyfunceble 4.2.29.dev

=== requirements.txt ===
--- 
+++ 
@@ -12,4 +12,4 @@
 requests[socks]<3
 setuptools>=65.5.1
 shtab
-SQLAlchemy~=2.0
+SQLAlchemy[postgresql-psycopg2binary]~=2.0

=== debian/changelog ===
python-pyfunceble (4.2.29.dev-1) unstable; urgency=medium

  * New upstream version 4.2.29.dev
  * debian/control:
     - Added dh-sequence-mkdocs and {mkdocs:Depends} for building documentation
     - Removed build-depends sphinx-doc
     - Removed dependency 'python3-cryptography' from project
  * debian/clean: Removed debian/html directory
  * debian/python-pyfunceble-doc.docs:
     - Added directory debian/html
     - Changed README extension from .rst to .md
  * debian/rules:
     - Adjusted for building documentation with "mkdocs"
     - Replaced build docs from sphinxdoc by mkdocs
  * debian/patches:
     - Added 007.removed-depends-mkdocs.yml.patch:
        Dependency is not in Debian
     - Added 009.correct-spelling-error.patch:
        Spelling correction: from "statatus" to "status"
     - Added 010.removed-logo.patch:
        Removed logo to fix lintian "privacy-breach-logo"
     - debian/patches/011-Get-rid-of-cryptography-as-dependency.patch
        Upstream replaced project dependency 'cryptography' with 'hashlib'
     - Removed because upstream started generating with mkdocs
        001.intersphinx_local.patch
        004.fixed-privacy-breach-generic.patch
        005.version_file_path.patch

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 03 Nov 2024 09:48:31 -0300

python-pyfunceble (4.2.25.dev-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Sep 2024 15:22:01 -0400

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,32 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               python-requests-doc <!nodoc>,
+               dh-sequence-mkdocs <!nodoc>,
+               mkdocs <!nodoc>,
+               mkdocs-gen-files <!nodoc>,
+               mkdocs-literate-nav <!nodoc>,
+               mkdocs-macros-plugin <!nodoc>,
+               mkdocs-material <!nodoc>,
+               mkdocs-section-index <!nodoc>,
+               mkdocstrings-python-handlers <!nodoc>,
+               python3-pymdownx <!nodoc>,
                python3-alembic,
                python3-all,
                python3-box,
                python3-colorama,
                python3-coverage <!nocheck>,
-               python3-cryptography,
                python3-dnspython,
                python3-doc <!nodoc>,
                python3-domain2idna,
                python3-dotenv,
                python3-inflection,
                python3-packaging,
-               python3-pygments <!nodoc>,
                python3-pymysql,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-setuptools,
                python3-shtab,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
                python3-sqlalchemy,
-               python3-urllib3 <!nodoc>,
                python3-yaml,
 Standards-Version: 4.7.0
 Homepage: https://github.com/funilrys/PyFunceble
@@ -72,9 +75,8 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
+         ${mkdocs:Depends},
 Recommends: python-requests-doc,
-            python3-doc,
 Description: Check availability of domains, IPs or URLs (common documentation)
  tool written in Python that was developed with the objective of verifying
  the availability of domains and IP addresses on the Internet. The main

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=pyfunceble
PACKAGE = python3-pyfunceble

# Tests disabled due to trying to connect to an external network
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	python3 $(CURDIR)/docs/gen_ref_pages.py
	mkdocs build -d $(CURDIR)/debian/html -f $(CURDIR)/mkdocs.yml
endif

# Fixed lintian python-pyfunceble-doc: privacy-breach-generic
override_dh_installdocs:
	dh_installdocs
	find debian/python-pyfunceble-doc/ -type f -name sitemap.xml.gz -delete
	find debian/python-pyfunceble-doc/ -name '*.html' -exec sed -i \
		-e '/https:\/\/asciinema.org/d' \
		-e '/https:\/\/fonts.googleapis.com\//d' \
		-e '/https:\/\/fonts.gstatic.com/d' \
		-e '/https:\/\/unpkg.com\/iframe-worker\/shim/d' \
		-e 's/<img [^>]*>//g' {} \;

override_dh_mkdocs:
	dh_mkdocs --theme-package mkdocs-material

# Upstream informs that such tools are intended for developers only. Unnecessary for user use.
# https://github.com/funilrys/PyFunceble/commit/3a61b8424bafa17b1879e94e90ae3e0ad972be41
execute_after_dh_install:
	rm -f debian/$(PACKAGE)/usr/bin/PyFunceble
	rm -f debian/$(PACKAGE)/usr/bin/clean-pyfunceble

override_dh_installexamples:
	dh_installexamples examples/api_usage examples/lists

=== debian/watch ===
version=4
https://github.com/funilrys/PyFunceble/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pyfunceble 4.3.1

=== requirements.txt ===
alembic
colorama
dnspython[DOH]~=2.8.0
domain2idna~=1.12.0
inflection
packaging
PyMySQL
python-box[all]~=7.3.2
python-dotenv
PyYAML
requests[socks]<3
setuptools>=65.5.1
shtab
SQLAlchemy~=2.0
pyfunceble-process-manager==1.0.10

=== debian/changelog ===
python-pyfunceble (4.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * d/watch: sort tags correctly.
  * Simplify a debhelper override.
  * Bump Standards-Version to 4.7.2.

  [ Colin Watson ]
  * New upstream release.
  * Remove run-time dependency on setuptools (closes: #1083692).
  * Run many tests during package build, and all of them in autopkgtest.
  * Use pybuild-plugin-pyproject.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Jan 2026 16:05:14 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-mkdocs <!nodoc>,
@@ -14,6 +13,7 @@
                mkdocs-material <!nodoc>,
                mkdocs-section-index <!nodoc>,
                mkdocstrings-python-handlers <!nodoc>,
+               pybuild-plugin-pyproject,
                python3-pymdownx <!nodoc>,
                python3-alembic,
                python3-all,
@@ -33,7 +33,7 @@
                python3-shtab,
                python3-sqlalchemy,
                python3-yaml,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/funilrys/PyFunceble
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyfunceble
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyfunceble.git

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,34 @@
 export PYBUILD_NAME=pyfunceble
 PACKAGE = python3-pyfunceble
 
-# Tests disabled due to trying to connect to an external network
-export PYBUILD_DISABLE=test
+ifneq ($(PYBUILD_AUTOPKGTEST),1)
+export PYBUILD_TEST_ARGS := \
+	--ignore tests/checker/availability/test_base.py \
+	--ignore tests/checker/availability/test_domain.py \
+	--ignore tests/checker/availability/test_ip.py \
+	--ignore tests/checker/availability/test_url.py \
+	--ignore tests/checker/reputation/test_base.py \
+	--ignore tests/checker/reputation/test_domain.py \
+	--ignore tests/checker/reputation/test_domain_and_ip.py \
+	--ignore tests/checker/reputation/test_ip.py \
+	--ignore tests/checker/reputation/test_url.py \
+	--ignore tests/checker/syntax/test_domain.py \
+	--ignore tests/checker/syntax/test_second_lvl_domain.py \
+	--ignore tests/checker/syntax/test_subdomain.py \
+	--ignore tests/checker/syntax/test_url.py \
+	--ignore tests/checker/utils/test_whois.py \
+	--ignore tests/checker/test_base.py \
+	--ignore tests/config/test_loader.py \
+	--ignore tests/converter/test_subject2complements.py \
+	--ignore tests/query/dnss \
+	--ignore tests/query/test_platform.py \
+	--ignore tests/query/test_http_status_code.py
+endif
 
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
 	python3 $(CURDIR)/docs/gen_ref_pages.py
 	mkdocs build -d $(CURDIR)/debian/html -f $(CURDIR)/mkdocs.yml

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/funilrys/PyFunceble/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
